### Method

# Clutter PaintNode add_texture_rectangle

#### Declaration [src]

    void
    clutter_paint_node_add_texture_rectangle (
      ClutterPaintNode* node,
      const ClutterActorBox* rect,
      float x_1,
      float y_1,
      float x_2,
      float y_2
    )

#### Description [src]

Adds a rectangle region to the `node`, with texture coordinates.

#### Parameters

`rect`

  Type: `ClutterActorBox`

  A `ClutterActorBox`.

  The data is owned by the caller of the method.

`x_1`

  Type: `float`

  The left X coordinate of the texture.

`y_1`

  Type: `float`

  The top Y coordinate of the texture.

`x_2`

  Type: `float`

  The right X coordinate of the texture.

`y_2`

  Type: `float`

  The bottom Y coordinate of the texture.